Bug 1186677 - Leap 15.3 gold master - Ethernet controller added as wlan0
Leap 15.3 gold master - Ethernet controller added as wlan0
Status: IN_PROGRESS
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Installation
Leap 15.3
aarch64 Other
: P2 - High : Normal (vote)
: ---
Assigned To: Matthias Brugger
Jiri Srain
:
Depends on: 1199820
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-31 21:09 UTC by Axel Braun
Modified: 2022-05-30 10:33 UTC (History)
12 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Network overview (674.69 KB, image/jpeg)
2022-05-23 12:39 UTC, Axel Braun
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Braun 2021-05-31 21:09:53 UTC
I booted a Raspi4 from USB stick for installation of Leap 15.3 build 160 (gold master), and there was no network autodetected (ethernet cable plugged in!)

On the Network settings page it offers
ARM Ethernet controller 
as wlan0, and showing all WIFI options, but it does not find any wireless network. 

I could add manually an ethernet device eth0, which then enables to add 
online-repositories.

See: https://lists.opensuse.org/archives/list/arm@lists.opensuse.org/thread/7JHAMIXHVAK63TKTQKA7B4NR4SH7GRNG/
Comment 1 Ivan Ivanov 2021-06-01 10:53:33 UTC
Hi Axel, please, could you give me a link to image that you have used? 
I somehow can't find build 160 anywhere. Thanks!
Comment 2 Axel Braun 2021-06-01 13:29:44 UTC
(In reply to Ivan Ivanov from comment #1)
> Hi Axel, please, could you give me a link to image that you have used? 
> I somehow can't find build 160 anywhere. Thanks!

http://download.opensuse.org/distribution/leap/15.3/iso/openSUSE-Leap-15.3-DVD-aarch64.iso as of 26 May 2021
Comment 3 Ivan Ivanov 2021-06-02 08:23:46 UTC
Thanks, Axel!

It looks like one of firmware files for brcmfmac43455-sdio device is missing from the installation media.

$ cat openSUSE-Leap-15.3-DVD-aarch64.iso.sha256
3a040463c7f81305b9358328cd06cf3707ddb32f4745921df81ee6151c2bbd9f  openSUSE-Leap-15.3-DVD-aarch64.iso

brcmfmac driver fail to completely initialise the brcmfmac43455-sdio device:

"no clm_blob available (err=-2), device may have limited channels available"

# grep -i brc /var/log/boot.msg
<6>[    0.000000] irq_brcmstb_l2: registered L2 intc (/soc/interrupt-controller@7ef00100, parent irq: 2)
<6>[   16.794508] brcm-pcie fd500000.pcie: host bridge /scb/pcie@7d500000 ranges:
<6>[   16.794526] brcm-pcie fd500000.pcie:   No bus range found for /scb/pcie@7d500000, using [bus 00-ff]
<6>[   16.794555] brcm-pcie fd500000.pcie:      MEM 0x0600000000..0x063fffffff -> 0x00c0000000
<6>[   16.794583] brcm-pcie fd500000.pcie:   IB MEM 0x0000000000..0x00bfffffff -> 0x0400000000
<6>[   16.849485] brcm-pcie fd500000.pcie: link up, 5 GT/s x1 (SSC)
<6>[   16.849868] brcm-pcie fd500000.pcie: PCI host bridge to bus 0000:00
<6>[   16.983644] brcmstb-i2c fef04500.i2c:  @97500hz registered in polling mode
<6>[   16.988431] brcmstb-i2c fef09500.i2c:  @97500hz registered in polling mode
<6>[   18.582835] brcmfmac: brcmf_fw_alloc_request: using brcm/brcmfmac43455-sdio for chip BCM4345/6
<6>[   18.583930] usbcore: registered new interface driver brcmfmac
<6>[   18.918510] brcmfmac: brcmf_fw_alloc_request: using brcm/brcmfmac43455-sdio for chip BCM4345/6
<6>[   18.918728] brcmfmac: brcmf_c_process_clm_blob: no clm_blob available (err=-2), device may have limited channels available
<6>[   18.919202] brcmfmac: brcmf_c_preinit_dcmds: Firmware: BCM4345/6 wl0: Sep 18 2020 02:27:58 version 7.45.221 (3a6d3a0 CY) FWID 01-bbd9282b

These are the files available for this device on this installation media.

# ls /lib/firmware/brcm/brcmfmac43455-sdio*
/lib/firmware/brcm/brcmfmac43455-sdio.bin
/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,3-model-b-plus.txt
/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-compute-module.txt.xz
/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-model-b.txt

These are file available for this device on openSUSE-Tumbleweed-ARM-XFCE-raspberrypi.aarch64.raw.xz, 
where wifi is working as expected.

# ls  /lib/firmware/brcm/brcmfmac43455-sdio.*
/lib/firmware/brcm/brcmfmac43455-sdio.MINIX-NEO Z83-4.txt.xz
/lib/firmware/brcm/brcmfmac43455-sdio.Raspberry Pi Foundation-Raspberry Pi 4 Model B.txt.xz
/lib/firmware/brcm/brcmfmac43455-sdio.Raspberry Pi Foundation-Raspberry Pi Compute Module 4.txt.xz
/lib/firmware/brcm/brcmfmac43455-sdio.bin.xz
/lib/firmware/brcm/brcmfmac43455-sdio.clm_blob.xz
/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,3-model-a-plus.txt.xz
/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,3-model-b-plus.txt.xz
/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-compute-module.txt.xz
/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-model-b.txt.xz
Comment 4 Matthias Brugger 2021-06-02 08:39:10 UTC
So that means we are missing 
/lib/firmware/brcm/brcmfmac43455-sdio.clm_blob
in the installation image.
Comment 6 Ivan Ivanov 2021-06-02 08:56:22 UTC
(In reply to Matthias Brugger from comment #4)
> So that means we are missing 
> /lib/firmware/brcm/brcmfmac43455-sdio.clm_blob
> in the installation image.

Yes, sorry, that I haven't said this explicitly.
Comment 7 Imobach Gonzalez Sosa 2021-06-02 09:05:53 UTC
Steffen, please, could you have a look? Thanks!
Comment 8 Steffen Winterfeldt 2021-06-02 11:07:27 UTC
First, openSUSE-Tumbleweed-ARM-XFCE-raspberrypi.aarch64.raw.xz is a kiwi built
image and likely unconditionally contains all firmware blobs.

The installable images contain only firmware blobs needed for the modules to load. So comparing TW *raw.xz files with Leap *.iso won't reveal anything.

That said, TW-20210517 has:

/mnt/lib/firmware/brcm> ls -l brcmfmac4345[56]*
-rw-r--r-- 1 root root 638951 May 12 02:00 brcmfmac43455-sdio.bin
lrwxrwxrwx 1 root root     47 May 12 02:00 brcmfmac43455-sdio.raspberrypi,4-compute-module.txt.xz -> brcmfmac43455-sdio.raspberrypi,4-model-b.txt.xz
-rw-r--r-- 1 root root 495898 Apr 12 12:40 brcmfmac43456-sdio.bin
-rw-r--r-- 1 root root   7163 Apr 12 12:40 brcmfmac43456-sdio.clm_blob
lrwxrwxrwx 1 root root     22 May 12 02:00 brcmfmac43456-sdio.raspberrypi,4-compute-module.txt -> brcmfmac43456-sdio.txt
lrwxrwxrwx 1 root root     22 May 12 02:00 brcmfmac43456-sdio.raspberrypi,400.txt -> brcmfmac43456-sdio.txt
-rw-r--r-- 1 root root   2053 Apr 12 12:40 brcmfmac43456-sdio.txt

vs. Leap-15.3:
/mnt/lib/firmware/brcm> ls -l brcmfmac4345[56]*
-rw-r--r-- 1 root root 638951  3. Mai 14:00 brcmfmac43455-sdio.bin
-rw-r--r-- 1 root root   1884  3. Mai 14:00 brcmfmac43455-sdio.raspberrypi,3-model-b-plus.txt
lrwxrwxrwx 1 root root     47  3. Mai 14:00 brcmfmac43455-sdio.raspberrypi,4-compute-module.txt.xz -> brcmfmac43455-sdio.raspberrypi,4-model-b.txt.xz
-rw-r--r-- 1 root root   1883  3. Mai 14:00 brcmfmac43455-sdio.raspberrypi,4-model-b.txt
-rw-r--r-- 1 root root 495898 19. Mär 21:14 brcmfmac43456-sdio.bin
-rw-r--r-- 1 root root   7163 19. Mär 21:14 brcmfmac43456-sdio.clm_blob
lrwxrwxrwx 1 root root     22  3. Mai 14:00 brcmfmac43456-sdio.raspberrypi,4-compute-module.txt -> brcmfmac43456-sdio.txt
lrwxrwxrwx 1 root root     22  3. Mai 14:00 brcmfmac43456-sdio.raspberrypi,400.txt -> brcmfmac43456-sdio.txt
-rw-r--r-- 1 root root   2053 19. Mär 21:14 brcmfmac43456-sdio.txt


Note that in both cases brcmfmac43455-sdio.raspberrypi,4-compute-module.txt.xz points to nowhere. While in Leap there's an uncompressed variant, in TW, there is nothing.

I'm not sure if that is relevant here but to me this looks like a broken firmware config. Please also ensure that the modules that need a firmware blob
really have it listed in their mod config.
Comment 9 Ivan Ivanov 2021-06-02 12:20:16 UTC
(In reply to Steffen Winterfeldt from comment #8)
> First, openSUSE-Tumbleweed-ARM-XFCE-raspberrypi.aarch64.raw.xz is a kiwi
> built
> image and likely unconditionally contains all firmware blobs.
> 
> The installable images contain only firmware blobs needed for the modules to
> load. So comparing TW *raw.xz files with Leap *.iso won't reveal anything.
> 

Well, if we ignore compressed vs. uncompressed it show which firmware file is missing.

> vs. Leap-15.3:
> /mnt/lib/firmware/brcm> ls -l brcmfmac4345[56]*
> -rw-r--r-- 1 root root 638951  3. Mai 14:00 brcmfmac43455-sdio.bin
> -rw-r--r-- 1 root root   1884  3. Mai 14:00
> brcmfmac43455-sdio.raspberrypi,3-model-b-plus.txt
> lrwxrwxrwx 1 root root     47  3. Mai 14:00
> brcmfmac43455-sdio.raspberrypi,4-compute-module.txt.xz ->
> brcmfmac43455-sdio.raspberrypi,4-model-b.txt.xz
> -rw-r--r-- 1 root root   1883  3. Mai 14:00
> brcmfmac43455-sdio.raspberrypi,4-model-b.txt
> -rw-r--r-- 1 root root 495898 19. Mär 21:14 brcmfmac43456-sdio.bin
> -rw-r--r-- 1 root root   7163 19. Mär 21:14 brcmfmac43456-sdio.clm_blob
> lrwxrwxrwx 1 root root     22  3. Mai 14:00
> brcmfmac43456-sdio.raspberrypi,4-compute-module.txt -> brcmfmac43456-sdio.txt
> lrwxrwxrwx 1 root root     22  3. Mai 14:00
> brcmfmac43456-sdio.raspberrypi,400.txt -> brcmfmac43456-sdio.txt
> -rw-r--r-- 1 root root   2053 19. Mär 21:14 brcmfmac43456-sdio.txt
> 

From here you can see that only brcmfmac43456-sdio.clm_blob file is present,
while the driver is looking for brcmfmac43455-sdio.clm_blob.
Comment 11 Steffen Winterfeldt 2021-06-02 13:17:13 UTC
Current TW, for example has:

# modinfo -F firmware brcmfmac.ko.xz | head -2
brcm/brcm/brcmfmac*-pcie.*.txt
brcm/brcm/brcmfmac*-sdio.*.txt

This looks entirely wrong to me.

That said, I'm actually not sure what drags in *clm_blob currently.

> From here you can see that only brcmfmac43456-sdio.clm_blob file is present,
> while the driver is looking for brcmfmac43455-sdio.clm_blob.

As said, please check your config.
Comment 12 Ivan Ivanov 2021-06-02 13:22:42 UTC
(In reply to Steffen Winterfeldt from comment #11)

> 
> > From here you can see that only brcmfmac43456-sdio.clm_blob file is present,
> > while the driver is looking for brcmfmac43455-sdio.clm_blob.
> 
> As said, please check your config.

Hm, not sure which config you are referring. 
This is about openSUSE-Leap-15.3-DVD-aarch64.iso
Comment 13 Steffen Winterfeldt 2021-06-02 13:25:53 UTC
Both, TW and Leap.
Comment 14 Ivan Ivanov 2021-06-02 13:28:51 UTC
(In reply to Steffen Winterfeldt from comment #13)
> Both, TW and Leap.

:-) I am only user of these ISOs, which try to help 
resolving this issue, not their creator.
Comment 15 Steffen Winterfeldt 2021-06-02 13:31:30 UTC
> :-) I am only user of these ISOs, which try to help 
> resolving this issue, not their creator.

Ah, sorry. I thought were involved in this aarch64 project. :-)
Comment 16 Ivan Ivanov 2021-06-02 13:35:31 UTC
(In reply to Steffen Winterfeldt from comment #15)
> > :-) I am only user of these ISOs, which try to help 
> > resolving this issue, not their creator.
> 
> Ah, sorry. I thought were involved in this aarch64 project. :-)

Well, I am somehow, but creating images is black art to  me. :-)
Comment 17 Dirk Mueller 2021-06-02 13:44:05 UTC
(In reply to Steffen Winterfeldt from comment #11)
> Current TW, for example has:
> 
> # modinfo -F firmware brcmfmac.ko.xz | head -2
> brcm/brcm/brcmfmac*-pcie.*.txt
> brcm/brcm/brcmfmac*-sdio.*.txt
> 
> This looks entirely wrong to me.


this comes from:

commit 75729e110e680687668fd5b4bdd7b25c92e9c00d
Author: Matthias Brugger <mbrugger@suse.com>
Date:   Tue Nov 24 13:00:18 2020 +0100

    brcmfmac: expose firmware config files through modinfo
    
    Apart from a firmware binary the chip needs a config file used by the
    FW. Add the config files to modinfo so that they can be read by
    userspace.
    
    Signed-off-by: Matthias Brugger <mbrugger@suse.com>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
    Link: https://lore.kernel.org/r/20201124120018.31358-1-matthias.bgg@kernel.org

diff --git a/drivers/net/wireless/broadcom/brcm80211/brcmfmac/sdio.c b/drivers/net/wireless/broadcom/brcm80211/brcmfmac/sdio.c
index 805e8d121d00..16ed325795a8 100644
--- a/drivers/net/wireless/broadcom/brcm80211/brcmfmac/sdio.c
+++ b/drivers/net/wireless/broadcom/brcm80211/brcmfmac/sdio.c
@@ -625,6 +625,10 @@ BRCMF_FW_DEF(4359, "brcmfmac4359-sdio");
 BRCMF_FW_DEF(4373, "brcmfmac4373-sdio");
 BRCMF_FW_DEF(43012, "brcmfmac43012-sdio");
 
+/* firmware config files */
+MODULE_FIRMWARE(BRCMF_FW_DEFAULT_PATH "brcm/brcmfmac*-sdio.*.txt");
+MODULE_FIRMWARE(BRCMF_FW_DEFAULT_PATH "brcm/brcmfmac*-pcie.*.txt");
+


but these files don't actually exist..
Comment 18 Dirk Mueller 2021-06-02 13:51:06 UTC
> That said, I'm actually not sure what drags in *clm_blob currently.

I think in installed systems simply all of kernel-firmware-brcm is available, so also the clm_blob files (which are not referenced as firmware). 

so this needs to be listed explicitly as firmware dependency on the module for installation-imagees to include those files?

then thats a kernel patch..
Comment 19 Steffen Winterfeldt 2021-06-02 14:04:25 UTC
> +MODULE_FIRMWARE(BRCMF_FW_DEFAULT_PATH "brcm/brcmfmac*-sdio.*.txt");
> +MODULE_FIRMWARE(BRCMF_FW_DEFAULT_PATH "brcm/brcmfmac*-pcie.*.txt");

My point was the doubled 'brcm' directory, which is apparently not correct.
Comment 20 Steffen Winterfeldt 2021-06-02 14:06:56 UTC
> I think in installed systems simply all of kernel-firmware-brcm is available,
> so also the clm_blob files (which are not referenced as firmware).

At least one of them is also on the install ISO. But I'm puzzled as how it
gets there.
Comment 21 Steffen Winterfeldt 2021-06-02 14:51:14 UTC
Ok, I finally spotted it.

brcmfmac43456-sdio.clm_blob does not come from kernel-firmware via generated
dependencies but directly from bcm43xx-firmware (which is added explicitly) - and
not kernel-firmware-brcm, which did not exist at that time.

See bug 1099327 for reference.

And bcm43xx-firmware misses brcmfmac43455-sdio.clm_blob but has brcmfmac43456-sdio.clm_blob (instead?).

To me this looks like bcm43xx-firmware is some relict not kept up-to-date.

Anyway, as bug 1099327 came from the aarch64 side: how to move forward?
Comment 22 Matthias Brugger 2021-06-03 19:02:59 UTC
(In reply to Steffen Winterfeldt from comment #19)
> > +MODULE_FIRMWARE(BRCMF_FW_DEFAULT_PATH "brcm/brcmfmac*-sdio.*.txt");
> > +MODULE_FIRMWARE(BRCMF_FW_DEFAULT_PATH "brcm/brcmfmac*-pcie.*.txt");
> 
> My point was the doubled 'brcm' directory, which is apparently not correct.

I'll fix that in the kernel, no problem.

Regarding brcmfmac43455-sdio.clm_blob: although the driver does not mandate a clm_blob the in the case of the RPi4 we are not able to connect to a wlan. 

So we would need to add brcmfmac43455-sdio.clm_blob to the installer. Beware that in kernel-firmware(-brcm) this is a softlink to cypress/cyfmac43455-sdio.clm_blob
Comment 23 Steffen Winterfeldt 2021-06-04 07:19:08 UTC
> So we would need to add brcmfmac43455-sdio.clm_blob to the installer.

Well, yes, that's obvious. The question was *how* without making things more
messy. See comment 21.
Comment 24 Matthias Brugger 2021-06-04 11:24:18 UTC
(In reply to Steffen Winterfeldt from comment #23)
> > So we would need to add brcmfmac43455-sdio.clm_blob to the installer.
> 
> Well, yes, that's obvious. The question was *how* without making things more
> messy. See comment 21.

Well brcmfmac43456-sdio.clm_blob is used for RPi400 and it's not part of linux-firmware (yet). In comparison brcmfmac43455-sdio is part of linux-firmware.

Anyway reading bsc#1169094 where we had a similar approach I think the easiet would be to add a the file to modinfo. I'm not sure if this will be accepted upstream, but as a stopgap I can add this out-of-tree patch to the kernel now and we can figure out how to fix this on tumbleweed if upstream does not like the clm_blob being added to modinfo.
Comment 25 Steffen Winterfeldt 2021-06-04 11:44:50 UTC
What's the status of bcm43xx-firmware? Should I continue to use it? Additionally
to kernel-firmware-brcm?
Comment 26 Matthias Brugger 2021-06-04 11:47:42 UTC
(In reply to Steffen Winterfeldt from comment #25)
> What's the status of bcm43xx-firmware? Should I continue to use it?
> Additionally
> to kernel-firmware-brcm?

Yes please. It holds firmware files that are not yet part of linux-firmware.
Comment 35 Swamp Workflow Management 2021-06-28 19:27:24 UTC
openSUSE-SU-2021:2184-1: An update that solves four vulnerabilities and has 107 fixes is now available.

Category: security (important)
Bug References: 1087082,1152489,1154353,1174978,1176447,1176771,1177666,1178134,1178378,1178612,1179610,1182999,1183712,1184259,1184436,1184631,1185195,1185428,1185497,1185570,1185589,1185675,1185701,1186155,1186286,1186460,1186463,1186472,1186501,1186672,1186677,1186681,1186752,1186885,1186928,1186949,1186950,1186951,1186952,1186953,1186954,1186955,1186956,1186957,1186958,1186959,1186960,1186961,1186962,1186963,1186964,1186965,1186966,1186967,1186968,1186969,1186970,1186971,1186972,1186973,1186974,1186976,1186977,1186978,1186979,1186980,1186981,1186982,1186983,1186984,1186985,1186986,1186987,1186988,1186989,1186990,1186991,1186992,1186993,1186994,1186995,1186996,1186997,1186998,1186999,1187000,1187001,1187002,1187003,1187038,1187039,1187050,1187052,1187067,1187068,1187069,1187072,1187143,1187144,1187167,1187334,1187344,1187345,1187346,1187347,1187348,1187349,1187350,1187351,1187357,1187711
CVE References: CVE-2020-26558,CVE-2020-36385,CVE-2020-36386,CVE-2021-0129
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    kernel-64kb-5.3.18-59.10.1, kernel-debug-5.3.18-59.10.1, kernel-default-5.3.18-59.10.1, kernel-default-base-5.3.18-59.10.1.18.4.2, kernel-docs-5.3.18-59.10.1, kernel-kvmsmall-5.3.18-59.10.1, kernel-obs-build-5.3.18-59.10.1, kernel-obs-qa-5.3.18-59.10.1, kernel-preempt-5.3.18-59.10.1, kernel-source-5.3.18-59.10.1, kernel-syms-5.3.18-59.10.1, kernel-zfcpdump-5.3.18-59.10.1
Comment 36 Swamp Workflow Management 2021-06-28 19:59:51 UTC
SUSE-SU-2021:2184-1: An update that solves four vulnerabilities and has 107 fixes is now available.

Category: security (important)
Bug References: 1087082,1152489,1154353,1174978,1176447,1176771,1177666,1178134,1178378,1178612,1179610,1182999,1183712,1184259,1184436,1184631,1185195,1185428,1185497,1185570,1185589,1185675,1185701,1186155,1186286,1186460,1186463,1186472,1186501,1186672,1186677,1186681,1186752,1186885,1186928,1186949,1186950,1186951,1186952,1186953,1186954,1186955,1186956,1186957,1186958,1186959,1186960,1186961,1186962,1186963,1186964,1186965,1186966,1186967,1186968,1186969,1186970,1186971,1186972,1186973,1186974,1186976,1186977,1186978,1186979,1186980,1186981,1186982,1186983,1186984,1186985,1186986,1186987,1186988,1186989,1186990,1186991,1186992,1186993,1186994,1186995,1186996,1186997,1186998,1186999,1187000,1187001,1187002,1187003,1187038,1187039,1187050,1187052,1187067,1187068,1187069,1187072,1187143,1187144,1187167,1187334,1187344,1187345,1187346,1187347,1187348,1187349,1187350,1187351,1187357,1187711
CVE References: CVE-2020-26558,CVE-2020-36385,CVE-2020-36386,CVE-2021-0129
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    kernel-default-5.3.18-59.10.1, kernel-preempt-5.3.18-59.10.1
SUSE Linux Enterprise Module for Live Patching 15-SP3 (src):    kernel-default-5.3.18-59.10.1, kernel-livepatch-SLE15-SP3_Update_2-1-7.5.1
SUSE Linux Enterprise Module for Legacy Software 15-SP3 (src):    kernel-default-5.3.18-59.10.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    kernel-docs-5.3.18-59.10.1, kernel-obs-build-5.3.18-59.10.1, kernel-preempt-5.3.18-59.10.1, kernel-source-5.3.18-59.10.1, kernel-syms-5.3.18-59.10.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    kernel-64kb-5.3.18-59.10.1, kernel-default-5.3.18-59.10.1, kernel-default-base-5.3.18-59.10.1.18.4.2, kernel-preempt-5.3.18-59.10.1, kernel-source-5.3.18-59.10.1, kernel-zfcpdump-5.3.18-59.10.1
SUSE Linux Enterprise High Availability 15-SP3 (src):    kernel-default-5.3.18-59.10.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 37 Swamp Workflow Management 2021-06-30 13:32:47 UTC
SUSE-SU-2021:2202-1: An update that solves four vulnerabilities and has 98 fixes is now available.

Category: security (important)
Bug References: 1152489,1154353,1174978,1176447,1176771,1178134,1178612,1179610,1183712,1184259,1184436,1184631,1185195,1185570,1185589,1185675,1185701,1186155,1186286,1186463,1186472,1186672,1186677,1186752,1186885,1186928,1186949,1186950,1186951,1186952,1186953,1186954,1186955,1186956,1186957,1186958,1186959,1186960,1186961,1186962,1186963,1186964,1186965,1186966,1186967,1186968,1186969,1186970,1186971,1186972,1186973,1186974,1186976,1186977,1186978,1186979,1186980,1186981,1186982,1186983,1186984,1186985,1186986,1186987,1186988,1186989,1186990,1186991,1186992,1186993,1186994,1186995,1186996,1186997,1186998,1186999,1187000,1187001,1187002,1187003,1187038,1187039,1187050,1187052,1187067,1187068,1187069,1187072,1187143,1187144,1187167,1187334,1187344,1187345,1187346,1187347,1187348,1187349,1187350,1187351,1187357,1187711
CVE References: CVE-2020-26558,CVE-2020-36385,CVE-2020-36386,CVE-2021-0129
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15-SP3 (src):    kernel-azure-5.3.18-38.8.1, kernel-source-azure-5.3.18-38.8.1, kernel-syms-azure-5.3.18-38.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 38 Swamp Workflow Management 2021-06-30 14:07:22 UTC
openSUSE-SU-2021:2202-1: An update that solves four vulnerabilities and has 98 fixes is now available.

Category: security (important)
Bug References: 1152489,1154353,1174978,1176447,1176771,1178134,1178612,1179610,1183712,1184259,1184436,1184631,1185195,1185570,1185589,1185675,1185701,1186155,1186286,1186463,1186472,1186672,1186677,1186752,1186885,1186928,1186949,1186950,1186951,1186952,1186953,1186954,1186955,1186956,1186957,1186958,1186959,1186960,1186961,1186962,1186963,1186964,1186965,1186966,1186967,1186968,1186969,1186970,1186971,1186972,1186973,1186974,1186976,1186977,1186978,1186979,1186980,1186981,1186982,1186983,1186984,1186985,1186986,1186987,1186988,1186989,1186990,1186991,1186992,1186993,1186994,1186995,1186996,1186997,1186998,1186999,1187000,1187001,1187002,1187003,1187038,1187039,1187050,1187052,1187067,1187068,1187069,1187072,1187143,1187144,1187167,1187334,1187344,1187345,1187346,1187347,1187348,1187349,1187350,1187351,1187357,1187711
CVE References: CVE-2020-26558,CVE-2020-36385,CVE-2020-36386,CVE-2021-0129
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    kernel-azure-5.3.18-38.8.1, kernel-source-azure-5.3.18-38.8.1, kernel-syms-azure-5.3.18-38.8.1
Comment 39 Matthias Brugger 2021-07-02 09:29:57 UTC
The two patches got accepted upstream and in Leap/Tumbleweed codestreams. But without a re-build of the installer they won't be present and the issue in the won't be fixed.

I suppose we are not planning to re-build the installer, as Leap is already released. I added Lubos to confirm.

If I'm correct I'd close this as WONTFIX as there is nothing I can do about it. The ony solution I see is, adding a USB stick and copying the files over before starting the installer.
Comment 40 Axel Braun 2021-07-02 09:50:15 UTC
(In reply to Matthias Brugger from comment #39)

> I suppose we are not planning to re-build the installer, as Leap is already
> released. I added Lubos to confirm.

The rebuild of installation media would grab all latest updates, improve user experience in terms of 'easy installation' and reduce the network load as not everybody needs to pull all updates.

So from my PoV there are good reasons for a rebuild - we do this for TW every day :-)

Shall we discuss this on factory@l.o.o?
Comment 41 Steffen Winterfeldt 2021-07-02 09:57:28 UTC
Quarterly Updates for Leap? Why not, if it's supposed to be following SLES
anyway.
Comment 43 Petr Tesařík 2021-09-02 11:54:21 UTC
(In reply to Steffen Winterfeldt from comment #41)
> Quarterly Updates for Leap? Why not, if it's supposed to be following SLES
> anyway.

@Lubos: Are there plans to make Leap Quarterly Updates?
Comment 44 Axel Braun 2022-05-17 11:46:30 UTC
I just see the same problem with leap 15.4RC1 (booted from netimage)....
Comment 45 Lubos Kocman 2022-05-20 11:26:26 UTC
Hello team,

there was a QU respin of images in March 2022 (15.3-3). See timestamps at 
https://download.opensuse.org/distribution/leap/15.3/iso/

We've built it in https://build.opensuse.org/project/show/openSUSE:Leap:15.3:Update:Respin

Related openQA records https://openqa.opensuse.org/group_overview/88

If something is issue on 15.4 after a supposed fix in 15.3 we need to track it in 15.4, this bug didn't really pop up on my radar.
Comment 46 Lubos Kocman 2022-05-20 11:27:16 UTC
Is this then fixed for 15.3?
Comment 47 Matthias Brugger 2022-05-20 11:38:43 UTC
Axel did you verify Leap 15.3 updated installer image?
Comment 48 Axel Braun 2022-05-20 12:26:55 UTC
(In reply to Matthias Brugger from comment #47)
> Axel did you verify Leap 15.3 updated installer image?

I just tried it at the moment (openSUSE-Leap-15.3-3-NET-aarch64-Build38.1-Media.iso), and, as far as I could get, it seems to run into the same error:

- despite connected to Ethernet, it asks for SSID and Wifi password
- Then it complains that 'repository does not match selected boot image' and wants to download - 'Image does not fit' (on a 8GB stick...), which looks like https://bugzilla.opensuse.org/show_bug.cgi?id=1197662

-> looks to me that the bug is still not fixed
Comment 49 Matthias Brugger 2022-05-23 11:15:41 UTC
(In reply to Axel Braun from comment #48)
> (In reply to Matthias Brugger from comment #47)
> > Axel did you verify Leap 15.3 updated installer image?
> 
> I just tried it at the moment
> (openSUSE-Leap-15.3-3-NET-aarch64-Build38.1-Media.iso), and, as far as I
> could get, it seems to run into the same error:
> 
> - despite connected to Ethernet, it asks for SSID and Wifi password
> - Then it complains that 'repository does not match selected boot image' and
> wants to download - 'Image does not fit' (on a 8GB stick...), which looks
> like https://bugzilla.opensuse.org/show_bug.cgi?id=1197662
> 
> -> looks to me that the bug is still not fixed

Axel, what I see in bsc#1199820 is, that the installer askes for ESSID for the wlan0 first, not that the ethernet device is shown as wlan0. You can check that by looking at the MAC address. Look out for line
> if_to_mac: wlan0 = dc:a6:32:b1:07:7c

Can you please double check.
Comment 50 Axel Braun 2022-05-23 12:39:39 UTC
Created attachment 859148 [details]
Network overview

Hello Mathias,
not sure if the MAC address helps, as I'm not sure I'm using the same rpi as before. But the picture should describe the problem pretty good. Let me know if you need more info